Subject: RE: pb with Cwd::getcwd() ! [perl 5.005_02 / Cygwin32 B.20.1]
From: "Todd Goodman" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 25 Feb 1999 23:04:08 -0500

I don't quite understand what you're saying below, but I believe the
problem you're seeing is because the runpod2man subroutine in installman
tries to build a man page filename by inserting a :: for any packages in
subdirectories (e.g., apache/...)

These double ':' cause parsing problems for the filename.

There's a comment that says "Convert from File/Basename.pm to
File::Basename.3
format, if necessary".  Two lines below that it tests if it's running on
OS/2
or amigaos and converts to a . instead of the ::.

I simply added an additional test, || $^O =~ /cygwin/, so that I created
man pages with the . instead of the ::.

Hope this helps,

Todd Goodman

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> Sébastien Barré
> Sent: Thursday, February 25, 1999 8:20 PM
> Cc: [email-masked]
> Subject: pb with Cwd::getcwd() ! [perl 5.005_02 / Cygwin32 B.20.1]
>
>
> (crossposted to the cygwin32 mailing list also)
>
> I'm trying to build/install Perl 5.005_02 for Cygwin32 B20.1
> (NT4.0/SP4), and it fails while installing the HTML-pod pages.
>
> After some investigation in the installperl script, I found that the
> Cwd::getcwd() (= get pathname of current working directory) was
> responsible :
>
> Use ::Cwd;
> print getcwd();
>
> =>
> readdir(./..): No such file or directory at yo.pl line 2
>
> If I try to use using cwd() (= same as getcwd but is
> implemented using the most natural and safe form for the current
> architecture) instead of getcwd();
>
> Use ::Cwd;
> print cwd();
>
> =>
> /d/devel/gnuwin32/root/tmp/perl5.005_02
>
> which seems OK, although /d/devel/gnuwin32/root is mounted to /, hence
> it should better returns /tmp/perl5.005_02.
>
> The problem is, getcwd() seems to be used in many other files in the
> distribution, therefore I'd like to fix/understand it in a
> more general
> way before starting to replace all instance of getcwd() with cwd().
>
> Thanks a lot.
> --
> Sebastien Barre : http://www.hds.utc.fr/~barre/
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]